Bug 1655607 (CVE-2018-19478) - CVE-2018-19478 ghostscript: Attempting to open a carefully crafted PDF file results in long-running computation (699856)
Summary: CVE-2018-19478 ghostscript: Attempting to open a carefully crafted PDF file r...
Status: NEW
Alias: CVE-2018-19478
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20181120,repor...
Keywords: Security
Depends On: 1655682 1656319 1656337
Blocks: 1655596
TreeView+ depends on / blocked
 
Reported: 2018-12-03 14:28 UTC by Cedric Buissart 🐶
Modified: 2019-02-21 12:28 UTC (History)
5 users (show)

Fixed In Version: ghostscript 9.26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cedric Buissart 🐶 2018-12-03 14:28:34 UTC
Attempting to open a carefully crafted PDF results in a long-running computation. The page tree nodes are deeply nested where a child page tree node may be a descendent of multiple parents.

Upstream bug:
https://bugs.ghostscript.com/show_bug.cgi?id=699856

Upstream fix:
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=0a7e5a1c309fa0911b892fa40996a7d55d90bace

Comment 4 Cedric Buissart 🐶 2018-12-05 09:12:11 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1656319]

Comment 6 Cedric Buissart 🐶 2018-12-05 12:38:37 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509

Comment 7 Cedric Buissart 🐶 2018-12-18 08:40:47 UTC
Statement:

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.